## Active contracts of a customer for tickets (desk:write)

`GET /api/desk/v1/contracts`

Module: Desk · operationId: `listActiveContracts` · Tag: Time · Auth: access token (`Authorization: Bearer <accessToken>`)

Customer contracts of trade that run on `date` (default today), the most specific first. Empty without trade.

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `customer` | query | string | yes | Masterdata address id |
| `date` | query | string (date) |  |  |

### Responses

- **200** Contracts (`application/json`)

Fields of the 200 answer:

- `items` (array of Contract, required)

Example 200 answer:

```json
{
  "items": [
    {
      "active": true,
      "customerId": "3c5e7a9c-1d3f-4b5a-9c7e-1a3c5e7a9c11",
      "id": "5a7c9e1b-3d5f-4a7c-9e1b-3d5f7a9c1e01",
      "number": "WV-2026-003",
      "quota": false,
      "title": "Wartungsvertrag Netzwerk und WLAN"
    }
  ]
}
```

### Example request

```bash
curl -X GET 'https://api.mbcom.cloud/api/desk/v1/contracts?customer=string' \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```
